package space.nstart.pcp.tle_monitoring_service.repository

import org.springframework.data.jpa.repository.JpaRepository
import space.nstart.pcp.tle_monitoring_service.entity.TLEEntity

interface TLERepository : JpaRepository<TLEEntity, Long> {

    fun findBySatelliteIdAndRevolution(id : Long, rev : Long) : List<TLEEntity>

    fun findAllBySatelliteId(id : Long) : List<TLEEntity>

    fun findAllBySatelliteIdOrderByTimeTleAsc(id: Long): List<TLEEntity>

    fun countBySatelliteId(id: Long): Long

    fun deleteAllBySatelliteId(id: Long): Long
}
